> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List workers

> List hosted workers in the workspace



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /hosting/workers/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /hosting/workers/list:
    post:
      tags:
        - Hosting - Workers
      summary: List workers
      description: List hosted workers in the workspace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                folderUuid:
                  title: Folder UUID
                  description: >-
                    Filter by folder. Use 'null' to list workers that are not in
                    any folder.
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    - type: 'null'
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workers:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        workspaceUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                        slug:
                          type: string
                        url:
                          type: string
                        userUuid:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        folderUuid:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        promotedDeployment:
                          anyOf:
                            - type: object
                              properties:
                                uuid:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                workspaceUuid:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                sourceS3Path:
                                  type: string
                                bundleS3Path:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                status:
                                  type: string
                                  enum:
                                    - pending
                                    - building
                                    - success
                                    - error
                                    - cancelled
                                buildLogS3Filename:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                errorMessage:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                url:
                                  type: string
                                userUuid:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                promotedAt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                promotedByUserUuid:
                                  anyOf:
                                    - type: string
                                      format: uuid
                                      pattern: >-
                                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                    - type: 'null'
                                finishedAt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                temporalWorkflowId:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                                kind:
                                  type: string
                                  const: worker
                                workerUuid:
                                  type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                meta:
                                  type: object
                                  properties:
                                    bundleSha256:
                                      type: string
                                    outboundAllowlist:
                                      type: array
                                      items:
                                        type: string
                                    kind:
                                      type: string
                                      const: custom-integration
                                  required:
                                    - bundleSha256
                                    - outboundAllowlist
                                  additionalProperties: false
                              required:
                                - uuid
                                - workspaceUuid
                                - sourceS3Path
                                - bundleS3Path
                                - status
                                - buildLogS3Filename
                                - errorMessage
                                - url
                                - userUuid
                                - promotedAt
                                - promotedByUserUuid
                                - finishedAt
                                - temporalWorkflowId
                                - createdAt
                                - updatedAt
                                - kind
                                - workerUuid
                                - meta
                              additionalProperties: false
                            - type: 'null'
                        triggers:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                const: cron
                              name:
                                type: string
                                minLength: 1
                              description:
                                type: string
                              cron:
                                type: string
                              path:
                                type: string
                                maxLength: 2048
                              method:
                                type: string
                                enum:
                                  - GET
                                  - POST
                                  - PUT
                                  - PATCH
                                  - DELETE
                              data:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              headers:
                                type: object
                                propertyNames:
                                  type: string
                                  minLength: 1
                                additionalProperties:
                                  type: string
                              temporalScheduleWorkflowId:
                                type: string
                            required:
                              - type
                              - name
                              - cron
                              - path
                              - method
                              - temporalScheduleWorkflowId
                            additionalProperties: false
                        chargedUntil:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        deletedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - uuid
                        - workspaceUuid
                        - name
                        - description
                        - slug
                        - url
                        - userUuid
                        - folderUuid
                        - promotedDeployment
                        - triggers
                        - chargedUntil
                        - createdAt
                        - updatedAt
                        - deletedAt
                      additionalProperties: false
                    title: Workers
                    description: List of workers.
                required:
                  - workers
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````